Loading...
Searching...
No Matches
Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >::LocalFunction Class Reference

local function evaluating the derivative in reference coordinates More...

`#include <dune/functions/gridfunctions/discreteglobalbasisfunction.hh>`

Inheritance diagram for Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >::LocalFunction:

## Public Types

using | GlobalFunction = DiscreteGlobalBasisFunctionDerivative
using | Domain = typename LocalBase::Domain
using | Range = GlobalFunction::Range
using | Element = typename LocalBase::Element

## Public Member Functions

| LocalFunction (const GlobalFunction &globalFunction)
| Create a local function from the associated grid function.
void | bind (const Element &element)
| Bind LocalFunction to grid element.
void | unbind ()
| Unbind the local-function.
Range | operator() (const Domain &x) const
| Evaluate this local-function in coordinates x in the bound element.
void | bind (const Element &element)
| Bind LocalFunction to grid element.
bool | bound () const
| Check if LocalFunction is already bound to an element.
const Element & | localContext () const
| Return the element the local-function is bound to.

## Protected Member Functions

void | assignWith (To &to, const From &from) const
decltype(auto) | nodeToRangeEntry (const Node &node, const TreePath &treePath, Range &y) const

## Protected Attributes

std::shared_ptr< const Data > | data_
LocalView | localView_
std::vector< Coefficient > | localDoFs_

## Friends

Traits::LocalFunctionTraits::DerivativeInterface | derivative (const LocalFunction &)
| Not implemented.

## Detailed Description

template<typename DGBF>
class Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >::LocalFunction

local function evaluating the derivative in reference coordinates

Note that the function returns the derivative with respect to global coordinates even when the point is given in reference coordinates on an element.

## Member Typedef Documentation

## Domain

template<typename DGBF>

using Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >::LocalFunction::Domain = typename LocalBase::Domain

## Element

template<typename DGBF>

using Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >::LocalFunction::Element = typename LocalBase::Element

## GlobalFunction

template<typename DGBF>

using Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >::LocalFunction::GlobalFunction = DiscreteGlobalBasisFunctionDerivative

## Range

template<typename DGBF>

using Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >::LocalFunction::Range = GlobalFunction::Range

## Constructor & Destructor Documentation

## LocalFunction()

template<typename DGBF>

Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >::LocalFunction::LocalFunction | ( | const GlobalFunction & | globalFunction | ) |

inline

Create a local function from the associated grid function.

## Member Function Documentation

## assignWith()

void Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< typename DGBF::Basis, typename DGBF::Vector, typename DGBF::NodeToRangeEntry >::LocalFunctionBase::assignWith | ( | To & | to,
|  | const From & | from ) const

inline protected inherited

## bind() [1/2]

template<typename DGBF>

void Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >::LocalFunction::bind | ( | const Element & | element | ) |

inline

Bind LocalFunction to grid element.

You must call this method before operator() and after changes to the coefficient vector.

## bind() [2/2]

void Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< typename DGBF::Basis, typename DGBF::Vector, typename DGBF::NodeToRangeEntry >::LocalFunctionBase::bind | ( | const Element & | element | ) |

inline inherited

Bind LocalFunction to grid element.

You must call this method before operator() and after changes to the coefficient vector.

## bound()

bool Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< typename DGBF::Basis, typename DGBF::Vector, typename DGBF::NodeToRangeEntry >::LocalFunctionBase::bound | ( |  | ) | const

inline inherited

Check if LocalFunction is already bound to an element.

## localContext()

const Element & Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< typename DGBF::Basis, typename DGBF::Vector, typename DGBF::NodeToRangeEntry >::LocalFunctionBase::localContext | ( |  | ) | const

inline inherited

Return the element the local-function is bound to.

## nodeToRangeEntry()

decltype(auto) Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< typename DGBF::Basis, typename DGBF::Vector, typename DGBF::NodeToRangeEntry >::LocalFunctionBase::nodeToRangeEntry | ( | const Node & | node,
|  | const TreePath & | treePath,
|  | Range & | y ) const

inline protected inherited

## operator()()

template<typename DGBF>

Range Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >::LocalFunction::operator() | ( | const Domain & | x | ) | const

inline

Evaluate this local-function in coordinates x in the bound element.

The result of this method is undefined if you did not call bind() beforehand or changed the coefficient vector after the last call to bind(). In the latter case you have to call bind() again in order to make operator() usable.

Note that the function returns the derivative with respect to global coordinates even when the point is given in reference coordinates on an element.

## unbind()

template<typename DGBF>

void Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >::LocalFunction::unbind | ( |  | ) |

inline

Unbind the local-function.

## Friends And Related Symbol Documentation

## derivative

template<typename DGBF>

Traits::LocalFunctionTraits::DerivativeInterface derivative | ( | const LocalFunction & |  | ) |

friend

Not implemented.

## Member Data Documentation

## data_

std::shared_ptr<const Data> Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< typename DGBF::Basis, typename DGBF::Vector, typename DGBF::NodeToRangeEntry >::LocalFunctionBase::data_

protected inherited

## localDoFs_

std::vector<Coefficient> Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< typename DGBF::Basis, typename DGBF::Vector, typename DGBF::NodeToRangeEntry >::LocalFunctionBase::localDoFs_

protected inherited

## localView_

LocalView Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< typename DGBF::Basis, typename DGBF::Vector, typename DGBF::NodeToRangeEntry >::LocalFunctionBase::localView_

protected inherited

The documentation for this class was generated from the following file:

- discreteglobalbasisfunction.hh